# string-join

string-join($arg1 as xs:string*) → xs:string

Concatenates all the strings in the given sequence, with no separator

Arguments
| $arg1 | xs:string* | A sequence of strings to be joined into one
Result | xs:string

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

string-join($arg1 as xs:string*, $arg2 as xs:string) → xs:string

Concatenates all the strings in the given sequence, separated by the given separator

Arguments
| $arg1 | xs:string* | A sequence of strings to be joined into one
| $arg2 | xs:string | The separator to be used between adjacent strings
Result | xs:string

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The single-argument form of this function is specified in XPath 3.0, and is newly supported in Saxon 9.3, provided XPath 3.0 is enabled. Note that the default separator is a zero-length string, not a single space.

Next